"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.fromPromise = void 0;
const retil_support_1 = require("retil-support");
const observe_1 = require("./observe");
function fromPromise(promise) {
    return (0, observe_1.observe)((next, error, complete) => {
        promise.then((value) => {
            next([value]);
            complete();
        }, error);
        return retil_support_1.noop;
    });
}
exports.fromPromise = fromPromise;
