import { noop } from 'retil-support';
import { observe } from './observe';
export function fromPromise(promise) {
    return observe((next, error, complete) => {
        promise.then((value) => {
            next([value]);
            complete();
        }, error);
        return noop;
    });
}
