import { Source } from './source';
/**
 * Map differs from select in that the map function will only be called
 * upon changes to the original source, and thus it is safe to create new
 * objects in the map function.
 */
export declare function map<T, U>(source: Source<T>, callback: (value: T) => U): Source<U>;
