import { Source, SourceAct } from './source';
export declare const TEARDOWN_DELAY = 10;
export interface ObserveSubscribeFunction<T> {
    (next: (value: T | T[]) => void, error: (error: any) => void, seal: () => void): (() => void) | {
        unsubscribe(): void;
    };
}
export declare function observe<T>(observable: ObserveSubscribeFunction<T> | {
    subscribe: ObserveSubscribeFunction<T>;
}, parentAct?: SourceAct): Source<T>;
