import { Source } from './source';
/**
 * Map the underlying vector, as opposed to `map`, which maps the values inside
 * the vector.
 */
export declare function mapVector<SourceSelection, SourceValue = SourceSelection, MappedValue = SourceSelection>(source: Source<SourceSelection, SourceValue>, callback: (value: SourceSelection[]) => MappedValue[]): Source<MappedValue, MappedValue>;
