import { Source } from './source';
export declare type ReduceVectorCallback<T, U> = (previousResult: U[], nextValue: T[]) => U[];
export declare function reduceVector<T, U>(source: Source<T>, callback: ReduceVectorCallback<T, U>, initial?: U[]): Source<U>;
